<?php
/**
 * vérification de la double authentification
 *
 * @plugin     creat2id
 * @copyright  2021-2022
 * @author     Vincent CALLIES
 * @licence    GNU/GPL
 * @package    SPIP\Creat2id\Creat2id
 */
 

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}
	
/**
 * La clé est-elle valide ?
 *
 * @param string $cle_transmise
 *        La clé d'indentification
 * @param string $mail
 *        La mail de l'auteur
 * @param string $nom
 *        Le nom ou alias de l'auteur
 * @return bolean
 *        Vrai ou Faux selon la réussite de la vérification de la clé
 */

function creat2id_cle_activation_dist ($cle_transmise, $mail, $nom) {

	// vérification que la clé est valide
	// ici compare la clé avec les quatre premiers caractères du mail
	$mail = trim(strtolower($mail));
	return $cle_transmise == substr($mail,0,4);

}
